# Class ModalDocument

java.lang.Object
nu.xom.Node
nu.xom.ParentNode
nu.xom.Document
nu.validator.htmlparser.xom.ModalDocument

All Implemented Interfaces:
  `Mode`

public class ModalDocument extends nu.xom.Document implements Mode
Document with `Mode`.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`ModalDocument(nu.xom.Document doc)`
Copy constructor (`Mode`-aware).
`ModalDocument(nu.xom.Element elt)`
With root.

## Method Summary

Modifier and Type
Method
Description
`DocumentMode`
`getMode()`
Gets the mode.
`void`
`setMode(DocumentMode mode)`
Sets the mode.

### Methods inherited from class nu.xom.Document

`copy, getBaseURI, getDocType, getRootElement, getValue, removeChild, removeChild, replaceChild, setBaseURI, setDocType, setRootElement, toString, toXML`

### Methods inherited from class nu.xom.ParentNode

`appendChild, getChild, getChildCount, indexOf, insertChild`

### Methods inherited from class nu.xom.Node

`detach, equals, getDocument, getParent, hashCode, query, query`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModalDocument

public ModalDocument(nu.xom.Document doc)
Copy constructor (`Mode`-aware).

Parameters:
  `doc` -

### ModalDocument

public ModalDocument(nu.xom.Element elt)
With root.

Parameters:
  `elt` -

## Method Details

### getMode

public DocumentMode getMode()
Gets the mode.

Specified by:
  `getMode` in interface `Mode`
Returns:
  the mode
See Also:
  - `Mode.getMode()`

### setMode

public void setMode(DocumentMode mode)
Sets the mode.

Specified by:
  `setMode` in interface `Mode`
Parameters:
  `mode` - the mode to set
See Also:
  - `Mode.setMode(nu.validator.htmlparser.common.DocumentMode)`